%define full_name jakarta-%{name}
%define section   free

Name:           ecs
Version:        1.4.2
Release:        3%{?dist}
Epoch:          0
Summary:        Tools for generating HTML/XML/... elements
License:        Apache Software License
URL:            http://jakarta.apache.org/ecs/
Source0:        http://www.apache.org/dist/jakarta/ecs/source/ecs-1.4.2-src.tar.gz
Patch0:         %{name}-build.patch
Group:          Development/Libraries/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  jpackage-utils >= 0:1.7.6
BuildRequires:  ant >= 0:1.7
BuildRequires:  regexp
BuildRequires:  xerces-j2
BuildRequires:  xerces-j2-javadoc-impl
BuildRequires:  xml-commons-apis-javadoc
Requires:       regexp
#Requires:       xerces-j2
Provides:       %{name}-manual = %{epoch}:%{version}-%{release}

%description
The Element Construction Set is a Java API for generating elements for
various markup languages it directly supports HTML 4.0 and XML, but
can easily be extended to create tags for any markup language. It is
designed and implemented by Stephan Nagy and Jon S. Stevens.

%package        javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description    javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -b .sav0
find . -name "*.jar" -exec rm -f {} \;
rm -rf docs/apidocs

%build
export CLASSPATH=%(build-classpath regexp xerces-j2)
ant \
  -Dbuild.compiler=modern \
  -Dxerces.javadoc=%{_javadocdir}/xerces-j2-impl \
  -Djaxp.javadoc=%{_javadocdir}/xml-commons-apis \
  -buildfile build/build-ecs.xml \
  jar javadocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -m 0644 bin/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
rm -rf docs/apidocs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog LICENSE.txt README RELEASE_NOTES.txt docs/*
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Sep 24 2010 Ralph Apel <r.apel at r-apel.de> - 0:1.4.2-3
- Build for JPP-6 (retired from upstream)

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.4.2-2jpp
- Build with ant-1.6.2

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.2-1jpp
- Update to 1.4.2.
- "manual" is only one HTML file + 2 jpegs, bundle it in main package.
- Crosslink javadocs with xerces-j2-impl and xml-commons-apis.

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.4.1-6jpp
- update for JPackage 1.5

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-5jpp
- versioned dir for javadoc
- no dependencies for javadoc package
- section macro
- requires and buildrequires xerces-j1

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-4jpp
- javadoc in javadoc package
- official summary

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.4.1-3jpp
- removed packager tag
- new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-2jpp
- first unified release
- s/jPackage/JPackage

* Mon Sep 04 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.4.1-1mdk
- first Mandrake release
